> For the complete documentation index, see [llms.txt](https://gitbook.mor.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://gitbook.mor.org/builders/morpheus-builders-api/endpoints/get-subnets.md).

# Get subnets

Returns every subnet registered in the Morpheus Builders ecosystem on Base.

Use this to:

* Discover subnets currently available in the Morpheus Ecosystem
* Fetch a `subnet_id` for a particular Builder Subnet
* Calculate Totals for downstream calculations, like total MOR staked

### Request

`GET https://dashboard.mor.org/api/builders/subnets`

No query params.

{% hint style="info" %}
Values ending in `Formatted` are already converted to human-readable MOR.
{% endhint %}

### Response

Common top-level fields:

<table><thead><tr><th width="147.36328125">Field</th><th width="106.3203125">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>success</code></td><td>boolean</td><td>Call status</td></tr><tr><td><code>network</code></td><td>string</td><td>Identifier (e.g. base)</td></tr><tr><td><code>timestamp</code></td><td>string</td><td>ISO 8601 timestamp</td></tr><tr><td><code>data.subnets</code></td><td>array</td><td>Array of subnets with metadata</td></tr><tr><td><code>data.totals</code></td><td>object</td><td>Aggregate subnet metrics</td></tr></tbody></table>

#### `data.subnets[]`

<table><thead><tr><th width="251.14453125">Field</th><th width="129.33984375">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string</td><td><code>subnet_id</code> (<code>bytes32</code> hash)</td></tr><tr><td><code>name</code></td><td>string</td><td>Subnet Name</td></tr><tr><td><code>admin</code></td><td>string</td><td>Admin Wallet Address</td></tr><tr><td><code>totalStaked</code></td><td>string</td><td>MOR Staked to Subnet (wei)</td></tr><tr><td><code>totalStakedFormatted</code></td><td>number</td><td>MOR Staked to Subnet (number)</td></tr><tr><td><code>totalUsers</code></td><td>number</td><td>Unique stakers to subnet</td></tr><tr><td><code>minimalDeposit</code></td><td>string</td><td>Min Deposit for subnet (wei)</td></tr><tr><td><code>minimalDepositFormatted</code></td><td>number</td><td>Min Deposit for subnet (number)</td></tr><tr><td><code>startsAt</code></td><td>string</td><td>Timestamp (safe to ignore)</td></tr></tbody></table>

#### `data.totals`

<table><thead><tr><th width="244.16015625">Field</th><th width="127.76953125">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>totalSubnets</code></td><td>number</td><td>Number of subnets</td></tr><tr><td><code>totalStaked</code></td><td>string</td><td>Total Staked MOR (wei)</td></tr><tr><td><code>totalStakedFormatted</code></td><td>number</td><td>Total Staked MOR (number)</td></tr><tr><td><code>totalStakers</code></td><td>number</td><td>Total unique stakers</td></tr></tbody></table>

### Examples

{% tabs %}
{% tab title="cURL" %}
{% code title="Get subnets" %}

```bash
curl "https://dashboard.mor.org/api/builders/subnets"
```

{% endcode %}
{% endtab %}

{% tab title="JS/TS" %}
{% code title="Get subnets (fetch)" %}

```javascript
const response = await fetch('https://dashboard.mor.org/api/builders/subnets');
const body = await response.json();

console.log(`Total subnets: ${body.data.totals.totalSubnets}`);
console.log(`Total MOR staked: ${body.data.totals.totalStakedFormatted}`);
```

{% endcode %}
{% endtab %}

{% tab title="Python" %}
{% code title="Get subnets (requests)" %}

```python
import requests

response = requests.get('https://dashboard.mor.org/api/builders/subnets')
body = response.json()

print(f"Total subnets: {body['data']['totals']['totalSubnets']}")
print(f"Total MOR staked: {body['data']['totals']['totalStakedFormatted']}")
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Sample response

{% code title="200 OK" %}

```json
{
  "success": true,
  "network": "base",
  "timestamp": "2026-01-03T01:27:23.163Z",
  "data": {
    "subnets": [
      {
        "id": "0x20ba70f2bbdc384bbc0e016ec2e888c38e6d1a5454555eefdc91d546fccca932",
        "name": "MOR-StakeVault-Base",
        "admin": "0x23311eca1ee03d48ddd8d8d8f70346f865c2d104",
        "totalStaked": "403421100000000000000000",
        "totalStakedFormatted": 403421.10000000003,
        "totalUsers": 8,
        "minimalDeposit": "1000000000000000000",
        "minimalDepositFormatted": 1,
        "startsAt": "0"
      },
{..........................}
    ],
    "totals": {
      "totalSubnets": 142,
      "totalStaked": "883355332474896436274996",
      "totalStakedFormatted": 883355.3324748965,
      "totalStakers": 689
    }
  }
}
```

{% endcode %}

### Postman

[Open in Postman](https://www.postman.com/bluefin-6568608/morpheus-builders-api/request/44737384-45d28482-9c16-44d4-a8a0-1a29347f5d52/?action=share\&creator=44737384\&ctx=documentation)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://gitbook.mor.org/builders/morpheus-builders-api/endpoints/get-subnets.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
